package domain


type AlibabaWdkOrderGetSubOrder struct {
    /*
        业务子订单id     */
    BizOrderId  *int64 `json:"biz_order_id,omitempty" `

    /*
        促销优惠总金额     */
    PromotionDiscountAmt  *int64 `json:"promotion_discount_amt,omitempty" `

    /*
        商品id     */
    ItemCode  *int64 `json:"item_code,omitempty" `

    /*
        正向：售价金额（购买数量*原售价）。逆向：退款金额     */
    OriginalAmt  *int64 `json:"original_amt,omitempty" `

    /*
        父订单id     */
    ParentId  *int64 `json:"parent_id,omitempty" `

    /*
        商品原价     */
    Price  *int64 `json:"price,omitempty" `

    /*
        促销信息(json格式)。例如:[{"activity_id":"1234","activity_name":"五一促销","activity_type":1,"activity_desc":"优惠卡券"}]     */
    PromotionInfo  *string `json:"promotion_info,omitempty" `

    /*
        购买数量     */
    Quantity  *int64 `json:"quantity,omitempty" `

    /*
        门店编码     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        销售类型（正向销售1：逆向销售2。本接口应返回2）     */
    TrdType  *int64 `json:"trd_type,omitempty" `

    /*
        会员价优惠金额     */
    MemberDiscountAmt  *int64 `json:"member_discount_amt,omitempty" `

    /*
        其它分摊优惠金额     */
    ShareDiscountAmt  *int64 `json:"share_discount_amt,omitempty" `

    /*
        非标品销售单位     */
    SellUnit  *string `json:"sell_unit,omitempty" `

    /*
        非标品购买数量     */
    NsQuantity  *string `json:"ns_quantity,omitempty" `

    /*
        淘宝子订单号     */
    TbBizOrderId  *int64 `json:"tb_biz_order_id,omitempty" `

    /*
        库存单位拣货数量     */
    PickAmountStock  *string `json:"pick_amount_stock,omitempty" `

    /*
        库存单位购买数量     */
    BuyAmountStock  *string `json:"buy_amount_stock,omitempty" `

    /*
        memberPoint     */
    MemberPoint  *string `json:"member_point,omitempty" `

    /*
        子订单类型，当前取值[COMMON|GIFT],分别表示 普通|赠品 订单     */
    OrderType  *string `json:"order_type,omitempty" `

    /*
        淘鲜达平台优惠券中平台出资金额，单位分     */
    TxdPmtAmt  *int64 `json:"txd_pmt_amt,omitempty" `

    /*
        拣货金额     */
    PickAmt  *int64 `json:"pick_amt,omitempty" `

    /*
        揽件     */
    OrderStatus  *string `json:"order_status,omitempty" `

    /*
        statusChangeTime     */
    StatusChangeTime  *string `json:"status_change_time,omitempty" `

    /*
        库存单位     */
    StockUnit  *string `json:"stock_unit,omitempty" `

    /*
        销售单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        tradeSubAttributes     */
    TradeSubAttributes  *string `json:"trade_sub_attributes,omitempty" `

    /*
        商品skuCode     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        外部订单号     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        外部skucode     */
    OutSkuCode  *string `json:"out_sku_code,omitempty" `

}

func (s *AlibabaWdkOrderGetSubOrder) SetBizOrderId(v int64) *AlibabaWdkOrderGetSubOrder {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetPromotionDiscountAmt(v int64) *AlibabaWdkOrderGetSubOrder {
    s.PromotionDiscountAmt = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetItemCode(v int64) *AlibabaWdkOrderGetSubOrder {
    s.ItemCode = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetOriginalAmt(v int64) *AlibabaWdkOrderGetSubOrder {
    s.OriginalAmt = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetParentId(v int64) *AlibabaWdkOrderGetSubOrder {
    s.ParentId = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetPrice(v int64) *AlibabaWdkOrderGetSubOrder {
    s.Price = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetPromotionInfo(v string) *AlibabaWdkOrderGetSubOrder {
    s.PromotionInfo = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetQuantity(v int64) *AlibabaWdkOrderGetSubOrder {
    s.Quantity = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetStoreId(v string) *AlibabaWdkOrderGetSubOrder {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetTrdType(v int64) *AlibabaWdkOrderGetSubOrder {
    s.TrdType = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetMemberDiscountAmt(v int64) *AlibabaWdkOrderGetSubOrder {
    s.MemberDiscountAmt = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetShareDiscountAmt(v int64) *AlibabaWdkOrderGetSubOrder {
    s.ShareDiscountAmt = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetSellUnit(v string) *AlibabaWdkOrderGetSubOrder {
    s.SellUnit = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetNsQuantity(v string) *AlibabaWdkOrderGetSubOrder {
    s.NsQuantity = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetTbBizOrderId(v int64) *AlibabaWdkOrderGetSubOrder {
    s.TbBizOrderId = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetPickAmountStock(v string) *AlibabaWdkOrderGetSubOrder {
    s.PickAmountStock = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetBuyAmountStock(v string) *AlibabaWdkOrderGetSubOrder {
    s.BuyAmountStock = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetMemberPoint(v string) *AlibabaWdkOrderGetSubOrder {
    s.MemberPoint = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetOrderType(v string) *AlibabaWdkOrderGetSubOrder {
    s.OrderType = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetTxdPmtAmt(v int64) *AlibabaWdkOrderGetSubOrder {
    s.TxdPmtAmt = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetPickAmt(v int64) *AlibabaWdkOrderGetSubOrder {
    s.PickAmt = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetOrderStatus(v string) *AlibabaWdkOrderGetSubOrder {
    s.OrderStatus = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetStatusChangeTime(v string) *AlibabaWdkOrderGetSubOrder {
    s.StatusChangeTime = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetStockUnit(v string) *AlibabaWdkOrderGetSubOrder {
    s.StockUnit = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetSaleUnit(v string) *AlibabaWdkOrderGetSubOrder {
    s.SaleUnit = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetTradeSubAttributes(v string) *AlibabaWdkOrderGetSubOrder {
    s.TradeSubAttributes = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetSkuCode(v string) *AlibabaWdkOrderGetSubOrder {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetOutOrderId(v string) *AlibabaWdkOrderGetSubOrder {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaWdkOrderGetSubOrder) SetOutSkuCode(v string) *AlibabaWdkOrderGetSubOrder {
    s.OutSkuCode = &v
    return s
}
